/** @jsx jsx */

import { jsx } from "https://deno.land/x/hono@v4.3.10/middleware.ts"
import { BasePage } from "./components/base.tsx"
import Main from "./components/main.tsx";
import Heading from "./components/heading.tsx";
import { get_user } from "../lib/auth.ts";
import { Context } from "https://deno.land/x/hono@v4.3.10/mod.ts";
import { FeurEnv } from "../main.ts";
import { BlankInput } from "https://deno.land/x/hono@v4.3.10/types.ts";

export default async function HomePage(context: Context<FeurEnv, string, BlankInput>) {
    const user = await get_user(context);
    return (
    <BasePage name="Home">
        <Heading username={await user?.get("username") ?? null}></Heading>
        <Main>Main</Main>
    </BasePage>
    )
}
